MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024059Open CASCADE[OCCT] OCCT:Codingpublic2013-07-04 16:092013-12-19 13:57
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024059: Eliminate compiler warning C4701 in MSVC++ with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces many warnings c4701: potentially uninitialized local variable used.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025033)
omy (developer)
2013-07-11 16:44

Dear abv,
Please, review the branch CR24059.
(0025103)
omy (developer)
2013-07-18 09:56

Dear oan,
Please, review the fixes made.
(0025162)
oan (developer)
2013-07-25 18:32

Dear Oleg,

The most of remarks regard to unnecessary initialization of variables that are intended for loops, for storing temporary results and so on (details were been sent in e-mail). Moreover, compiler doesn't notice some problems for these variables.

I propose changing only the problematic cases notified during compilation and leave as is all other ones providing the minimal changes of source code.
(0025213)
omy (developer)
2013-07-31 17:45

Dear oan,
Please, review the fixes.
(0025233)
oan (developer)
2013-08-05 17:02

Dear Oleg,
Firstly, could you please rebase the branch on current master.

Here are my considerations about made fixes:
General remark - please don't initialize random variables which are not marked by compiler or there is no significant reason to do it, remove unnecessary initializations.

Adaptor3d_CurveOnSurface:
I think there is no sence in the following block (line 412):

Standard_Real f = 0., l = 0.;
if( (Index==1) ...)
  ...
else if( (Index==2) ...)
  ...
else
  ReverseParam(f,l,f,l);
    
What result is expected when ReverseParam is invoked?
So, it's obvious that this solution is not suitable and therefore here are two possible ways to resolve it: initialize "f" and "l" by non-zero and logically-grounded value or remove ReverseParam at all - to be checked.

AdvApp2Var_ApproxF2var:
line 974 - redundant initialization of variable ier
line 6176 - redundant initialization of variable nupil
line 6177 - redundant initialization of variable iofwr
line 6179 - redundant initialization of variables nd, ii
line 6180 - redundant initialization of variable ibb

AdvApp2Var_MathBase:
oldso - why 1.0?
line 4760 - redundant initialization of variables ilong, isize, ii, jj
line 4761 - variable iofst is initialized at line 4829
line 4761 - redundant initialization of variables iipt, jjpt
line 9641 - redundant initialization of variable nchif, izero
line 9641 - Considering that the minimum value of the loop counter used to iterate across "vector" array equal to 1, not 0, is it correct to use 0-initializer for iunit variable?
line 6357.. - redundant initialization of variable tran, c1, c2, som, der1, der2;
              d1 d2 x1 x2 dd ii jj kk - local variables;

AdvApp2Var_SysBase:
redundant initialization of variables ioff, iadrfl, iadt

AppParCurves_ResolConstraint:
redundant initialization of variables Npt, Inc3, IncSec, IncCol, IP, CCol, Tmax, Daij, Ok

Eliminating of copy-paste is cool idea! Unfortunately, current implementation loses important details, namely:
please track conditions Ibont(k+1,i) for each case Ibont(k,i) - they actually have the differences in loops (please use DiffMerge tool or another one to compare code blocks), e.g.:

Ibont(k, i) == 1:
  for (j = 1; j <= Npol; j++) {
    Daij = DerivativeBern(Npt, j);
=> Cont(Inc3, j + IncCol) = Daij*T2;
    Cont(Inc3, j + IP + IncCol) = -Daij*T1;
  }

Ibont(k, i) == 2:
  for (j = 1; j <= Npol; j++) {
      Daij = DerivativeBern(Npt, j);
=> Cont(Inc3, j + Npol + IncCol) = Daij*T2;
      Cont(Inc3, j + IP + IncCol) = -Daij*T1;
    }
    
Ibont(k, i) == ... :
  for (j = 1; j <= Npol; j++) {
    Daij = DerivativeBern(Npt, j);
=> Cont(Inc3, j + 2*Npol + IncCol) = Daij*T2;
    Cont(Inc3, j + IP + IncCol) = -Daij*T1;
  }

Moreover, these loops can be combined into a single one placed at the end of block and requiring additional parameters for calculation of indices depending on current case.

AppParCurves_Variational_1:
redundant initialization of variables NbEst, ICDANA, VALCRI, ERRMOY, ERRQUA, CBLONG, LNOLD

BinTools_ShapeSet:
redundant initialization of variables tol,X,Y,Z,first,last

Blend_Walking_4:
redundant initialization of variables w1,w2

BOPAlgo_BOP:
redundant initialization of variables bFlag, Dmin

BOPAlgo_PaveFiller_6:
redundant initialization of variables jx, aT, aNbLPBx

BOPDS_DS:
redundant initialization of variables iRef, nVSD

BOPTools_AlgoTools:
redundant initialization of variables aOr

BOPTools_AlgoTools_1:
redundant initialization of variables aTolF, aTolV. I think that variable aTolE should be initialized by face tolerance, e.g.:
line 719: aTolE = aTolF = BRep_Tool::Tolerance(aF);

BOPTools_AlgoTools_2:
redundant initialization of variables i, iRet

BOPTools_AlgoTools3D:
uninitialized variable bIsLeft
redundant initialization of variables iErr aIx aNbDomains i aUMin aUMax aVMin aVMax aUx aV1 aV2 aEpsT in method Add

BRepClass3d_SClassifier:
redundant initialization of variables nump, aParam

BRepExtrema_DistanceSS:
redundant initialization of variables U1 V1 U2 V2;

Since Umin, Umax, Vmin, Vmax variables are used in blocks such as
if (aU < Umin)
  Umin = aU;
else if (aU > Umax)
  Umax = aU;
  
it's preferred to set min value equal to RealLast() and max value equal to RealFirst() by default to prevent calculation of incorrect results.

BRepFeat_Form:
the same remarks as for min/max vaiable in BRepExtrema_DistanceSS.
However, you should pay attention to reserve range of boundary values to fit the conditions:
prmax - delta
prmin + delta

as far as delta = Precision::Confusion(), I recommend you to set prmax = RealFirst() + 2*Precision::Confusion() and prmax = RealLast() - 2*Precision::Confusion() to protect the logic from overflows.

BRepFeat_MakePrism:
irrelevant changes.

BRepFill_CompatibleWires:
jmin must be set to 1 by default, because it's used to access to TopTools_SequenceOfShape that has 1-based indexation. If you use 0 as index it will produce an exception, please have a look to TCollection_Sequence::Value:
Standard_OutOfRange_Raise_if(Index <= 0 || Index > Size,"");

BRepFill_EdgeOnSurfLaw:
Note that Geom2d_TrimmedCurve throws exception when First == Last, therefore please pay attention on further test results.

BRepFill_Evolved:
redundant initialization of variables U2

BRepFill_Filling:
redundant initialization of variables i
MinInd must be 1 (see remark on BRepFill_CompatibleWires)

BRepFill_Generator:
redundant initialization of variables ff, ll, wPoint1, wPoint2

BRepFill_MultiLine:
redundant initialization of variables U, V;
initialization of Umin Vmin Umax Vmax - see recomendations for BRepExtrema_DistanceSS

BRepFill_OffsetWire:
initialization of IndexF IndexL - see recomendations for BRepExtrema_DistanceSS

BRepFill_SectionPlacement:
redundant initialization of variables Bof;
see note to BRepFill_EdgeOnSurfLaw

BRepLib_MakeFace:
It's usual practice to set tolerance equal to some value provided by Precicion package, not zero.
Considering IsDegenerated function, it's logical to set default value of tolerances equal to Precision::Confusion()
Please, implement this requirement where it is possible.

BRepMesh_Classifier:
uninitialized variables aXstart, aYstart;
redundant initialization of variables x2 y2;

BRepMesh_IncrementalMesh:
see BRepLib_MakeFace

BRepOffset_Inter3d:
I suppose that aSqrDist1 and aSqrDist2 should be set to RealLast(), because of the following logic:

tmp = aSqrDist1 + aSqrDist2;
if( tmp <= dU ) {
  dU = tmp;
  GE = EI;
}

BRepOffsetAPI_MiddlePath:
Note that the case when theAngle equal zero will produce exception at StdFail_NotDone::Raise("BRep_API: command not done") edge construction.

BRepTest_CurveCommands:
see note for BRepFill_EdgeOnSurfLaw

BRepTools_ShapeSet:
redundant initialization of variables tol X Y Z

ChFi3d_Builder_0:
Parfin, pardeb, Udeb,Ufin - see note for BRepFill_EdgeOnSurfLaw;
redundant initialization of variables periodic Bof checkdeb cepadur bIsSmooth IEdge IF IL nbed iToApproxByC2 WF WL Wrefdeb Wreffin nwf nwl period tolpared First Last epsV urefdeb tolrac

ChFi3d_Builder_6:
Nbpnt should be set to 1 because of access to sequnce Lin->Point(Nbpnt).Parameter();
redundant initialization of variables x y Target;

ChFi3d_Builder_С1:
according to logic of ChFi3d_ComputeCurves tolreached should be set equal to tolesp by default (see remark about tolerance);
redundant initialization of variables ICurve Ubid Vbid;

ChFi3d_Builder_С2:
see remark about tolerance

...

Unresolved warnings having same nature:
Blend_Walking_1.gxx
Blend_Walking_4.gxx
BOPTools_AlgoTools3D.cxx
BRepMesh_Classifier.cxx
HLRAlgo_PolyInternalData.cxx
IGESGeom_ToolBSplineSurface.cxx
IntPatch_AlineToWline.cxx
Math2d_Tool2d.cxx
(0025270)
omy (developer)
2013-08-07 20:28

Dear oan,
Please, review the fixes in a branch CR24059_1.
(0025353)
oan (developer)
2013-08-20 13:40

Dear Bugmaster,

Code has been reviewed, necessary changes have been introduced and pushed to branch CR24059_1.

Please test.
(0025360)
mkv (tester)
2013-08-21 11:01

Dear BugMaster,

Branch CR24059_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8d99174bdc74144e0dba85498986091852601ad0

Number of compiler warnings:

occt component :
Linux: 796 (923 on master)
Windows: 383 (852 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366392672 / 366054776
Total CPU difference: 44515.56000000072 / 42535.940000000825

Testing on Windows:
Total MEMORY difference: 423787040 / 425420980
Total CPU difference: 41701.4375 / 31428.375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 1d47d8d0
Timestamp: 2013-08-22 08:07:14
Author: omy
Committer: bugmaster
Details ] Diff ]
0024059: Eliminate compiler warning C4701 in MSVC++ with warning level 4

Removing pPotentially uninitialized local variable
Got rid of most of warnings C4701: Potentially uninitialized local variable
Removed redundant variable definitions.
Refactored a part of AppParCurves_ResolConstraint CTOR.
Replaced 0. to Precision::Confusion for tolerance vars;
Changed values for min and max parameter vars;
Got rid of redundant variables' initialization.
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_TopolTool.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_ApproxF2var.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_Iso.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_MathBase.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_SysBase.cxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_SimpleApprox.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_ResolConstraint.gxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_Variational_1.gxx Diff ] File ]
mod - src/Approx/Approx_ComputeCLine.gxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/Blend/Blend_CSWalking_2.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_1.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_2.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_3.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_4.gxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_2.cxx Diff ] File ]
mod - src/BRep/BRep_Builder.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SClassifier.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistanceSS.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_EdgeOnSurfLaw.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Filling.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Generator.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_SectionPlacement.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_MakeFace.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Classifier.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter3d.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CurveCommands.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_CnCrn.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_SpKP.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder_C2.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/Contap/Contap_ContourGen_2.gxx Diff ] File ]
mod - src/Contap/Contap_ContourGen_3.gxx Diff ] File ]
mod - src/Convert/Convert_ConicToBSplineCurve.cxx Diff ] File ]
mod - src/DBRep/DBRep.cxx Diff ] File ]
mod - src/DDF/DDF_IOStream.cxx Diff ] File ]
mod - src/Draft/Draft_Modification_1.cxx Diff ] File ]
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw_GraphicCommands.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff ] File ]
mod - src/Dynamic/Dynamic.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCS.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_TangentialDeflection.gxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.cxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_TgtOnCoons.cxx Diff ] File ]
mod - src/GeomLib/GeomLib.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyAlgo.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyInternalData.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyShellData.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ShapeToHLR.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLineWidening.cxx Diff ] File ]
mod - src/IGESData/IGESData_ParamReader.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolConicArc.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPlane.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicConic_1.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Polyhedron.gxx Diff ] File ]
mod - src/Interface/Interface_FloatWriter.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALineToWLine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_0.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries_1.gxx Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge_1.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking_4.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking_4.gxx Diff ] File ]
mod - src/Law/Law_BSpFunc.cxx Diff ] File ]
mod - src/LDOM/LDOM_XmlReader.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CurveShapeIntersector.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitShape.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshPrsBuilder.cxx Diff ] File ]
mod - src/NIS/NIS_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/Primitives/Primitives_Wedge.gxx Diff ] File ]
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Loader.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Glue_shell.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndAreaUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndPlaneAngleUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndRatioUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndVolumeUnit.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWGeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWModifiedGeometricTolerance.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWCurve3dElementDescriptor.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWElementDescriptor.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWSurface3dElementDescriptor.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWVolume3dElementDescriptor.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaAxis2Placement3d.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_CheckSmallFace.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_ShapeTolerance.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_WireOrder.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_Surface.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ClosedEdgeDivide.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_EdgeDivide.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurfaceAngle.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeTool.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TNaming/TNaming_Localizer.cxx Diff ] File ]
mod - src/TopClass/TopClass_Classifier2d.gxx Diff ] File ]
mod - src/TopClass/TopClass_FaceClassifier.gxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFDumper.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFTransitionTool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_kpart.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_mergePDS.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprclo.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprdeg.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Fill.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Merge.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_BuildTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Check.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Dumper.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessEdgeInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_redu.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_repvg.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Transition.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_STATE.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOPOLOGY.cxx Diff ] File ]
mod - src/V3d/V3d.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Material.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/WNT/EHDC.cxx Diff ] File ]
mod - src/WNT/W95_Allocator.cxx Diff ] File ]
mod - src/XSDRAWIGES/XSDRAWIGES.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-04 16:09 omy New Issue
2013-07-04 16:09 omy Assigned To => omy
2013-07-04 16:09 omy Relationship added child of 0023947
2013-07-04 16:09 omy Status new => assigned
2013-07-11 16:44 omy Note Added: 0025033
2013-07-11 16:44 omy Assigned To omy => abv
2013-07-11 16:44 omy Status assigned => resolved
2013-07-18 09:56 omy Note Added: 0025103
2013-07-18 09:56 omy Assigned To abv => oan
2013-07-18 09:56 omy Status resolved => assigned
2013-07-25 18:32 oan Note Added: 0025162
2013-07-25 18:33 oan Assigned To oan => omy
2013-07-25 18:33 oan Status assigned => resolved
2013-07-25 18:33 oan Status resolved => assigned
2013-07-31 17:45 omy Note Added: 0025213
2013-07-31 17:45 omy Assigned To omy => oan
2013-07-31 17:45 omy Status assigned => resolved
2013-08-05 17:02 oan Note Added: 0025233
2013-08-05 17:02 oan Assigned To oan => omy
2013-08-05 17:02 oan Status resolved => assigned
2013-08-07 20:28 omy Note Added: 0025270
2013-08-07 20:28 omy Assigned To omy => oan
2013-08-07 20:28 omy Status assigned => resolved
2013-08-20 13:40 oan Note Added: 0025353
2013-08-20 13:40 oan Assigned To oan => bugmaster
2013-08-20 13:40 oan Status resolved => reviewed
2013-08-20 14:34 mkv Assigned To bugmaster => mkv
2013-08-21 11:01 mkv Note Added: 0025360
2013-08-21 11:01 mkv Test case number => Not needed
2013-08-21 11:01 mkv Assigned To mkv => bugmaster
2013-08-21 11:01 mkv Status reviewed => tested
2013-08-23 14:11 bugmaster Changeset attached => occt master 1d47d8d0
2013-08-23 14:11 bugmaster Status tested => verified
2013-08-23 14:11 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker